Bug 1015941 - [abrt] firewall-config-0.3.5-1.fc19: firewall-config:1342:_exception_handler:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 15: ordinal not in range(128)
[abrt] firewall-config-0.3.5-1.fc19: firewall-config:1342:_exception_handler:...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
abrt_hash:531cf7a3d70b0cda6903cb5d82f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 00:09 EDT by pioutw
Modified: 2013-11-10 02:14 EST (History)
2 users (show)

See Also:
Fixed In Version: firewalld-0.3.7-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-22 00:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.04 KB, text/plain)
2013-10-07 00:10 EDT, pioutw
no flags Details
File: dso_list (66 bytes, text/plain)
2013-10-07 00:10 EDT, pioutw
no flags Details
File: environ (1.35 KB, text/plain)
2013-10-07 00:10 EDT, pioutw
no flags Details

  None (edit)
Description pioutw 2013-10-07 00:09:57 EDT
Version-Release number of selected component:
firewall-config-0.3.5-1.fc19

Additional info:
reporter:       libreport-2.1.7
cmdline:        /usr/bin/python /usr/bin/firewall-config
executable:     /usr/bin/firewall-config
kernel:         3.11.3-201.fc19.i686.PAE
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
firewall-config:1342:_exception_handler:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 15: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/bin/firewall-config", line 3222, in onServiceConfEditService
    self.add_edit_service(False)
  File "/usr/bin/firewall-config", line 3343, in add_edit_service
    service.rename(name)
  File "<string>", line 2, in rename
  File "/usr/lib/python2.7/site-packages/slip/dbus/polkit.py", line 103, in _enable_proxy
    return func(*p, **k)
  File "<string>", line 2, in rename
  File "/usr/lib/python2.7/site-packages/firewall/client.py", line 56, in handle_exceptions
    exception_handler(dbus_message)
  File "/usr/bin/firewall-config", line 1342, in _exception_handler
    msg = exception_message.replace("NAME_CONFLICT", _("Name already exists"))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 15: ordinal not in range(128)

Local variables in innermost frame:
exception_message: u'NAME_CONFLICT: amule'
self: <__main__.FirewallConfig object at 0x8af290c>
Comment 1 pioutw 2013-10-07 00:10:02 EDT
Created attachment 808708 [details]
File: backtrace
Comment 2 pioutw 2013-10-07 00:10:05 EDT
Created attachment 808709 [details]
File: dso_list
Comment 3 pioutw 2013-10-07 00:10:08 EDT
Created attachment 808710 [details]
File: environ
Comment 5 Fedora Update System 2013-10-17 11:57:10 EDT
firewalld-0.3.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/firewalld-0.3.7-1.fc20
Comment 6 Fedora Update System 2013-10-17 11:59:38 EDT
firewalld-0.3.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/firewalld-0.3.7-1.fc19
Comment 7 Fedora Update System 2013-10-17 16:29:33 EDT
Package firewalld-0.3.7-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.3.7-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19184/firewalld-0.3.7-1.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-10-22 00:57:20 EDT
firewalld-0.3.7-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 pioutw 2013-10-23 05:46:14 EDT
(In reply to Fedora Update System from comment #8)
> firewalld-0.3.7-1.fc19 has been pushed to the Fedora 19 stable repository. 
> If problems still persist, please make note of it in this bug report.

it's ok now
Comment 10 Fedora Update System 2013-11-10 02:14:34 EST
firewalld-0.3.7-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.